## qsynth 0.3.5

=== CMakeLists.txt ===
project(QSYNTH)

cmake_minimum_required(VERSION 2.6)

set (VERSION_MAJOR 0)
set (VERSION_MINOR 3)
set (VERSION_PATCH 5)
set (VERSION_SUFFIX "")
set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}")

set (PACKAGE_NAME "Qsynth")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qsynth")

set(CONFIG_DEBUG)
if (CMAKE_BUILD_TYPE MATCHES "debug")
    set(CONFIG_DEBUG 1)
endif (CMAKE_BUILD_TYPE MATCHES "debug")
set (CONFIG_PREFIX ${CMAKE_INSTALL_PREFIX})

# gradient eye-candy.
option (CONFIG_GRADIENT "Define if gradient eye-candy is enabled." 1)
# debugging stack-trace.
option (CONFIG_STACKTRACE "Define if debugger stack-trace is enabled." 0)
# system-tray icon.
option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)

# Check for Qt
set (QT_MIN_VERSION "4.1.0")
find_package (Qt4 REQUIRED)
include (${QT_USE_FILE})

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
find_library ( MATH_LIBRARY m )
# Check for round math function.
if (MATH_LIBRARY)
    set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
    check_function_exists ( lroundf CONFIG_ROUND )
else (MATH_LIBRARY)
    message (FATAL_ERROR "math library not found")    
endif (MATH_LIBRARY)

# Check for fluidsynth library.
find_library ( FLUIDSYNTH_LIBRARY fluidsynth ) 

# Checks for header files.
check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)

# Check for fluidsynth headers.
find_path (FLUIDSYNTH_INCLUDEDIR NAMES fluidsynth.h)
set (CMAKE_REQUIRED_INCLUDES ${FLUIDSYNTH_INCLUDEDIR})
check_include_file ("fluidsynth.h" HAVE_FLUIDSYNTH_H)

if (FLUIDSYNTH_LIBRARY AND HAVE_FLUIDSYNTH_H)
    set(CMAKE_REQUIRED_LIBRARIES ${FLUIDSYNTH_LIBRARY})
    # new_fluid_server function.
    check_function_exists ( new_fluid_server CONFIG_FLUID_SERVER )
    # Check for fluid_synth_system_reset function.
    check_function_exists ( fluid_synth_system_reset CONFIG_FLUID_RESET )
    # Check for fluid_synth_set_bank_offset function.
    check_function_exists ( fluid_synth_set_bank_offset CONFIG_FLUID_BANK_OFFSET )
    # Check for fluid_synth_get_channel_info function.
    check_function_exists ( fluid_synth_get_channel_info CONFIG_FLUID_CHANNEL_INFO )
    # Check for fluid_synth_unset_program function.
    check_function_exists ( fluid_synth_unset_program CONFIG_FLUID_UNSET_PROGRAM  )
else (FLUIDSYNTH_LIBRARY AND HAVE_FLUIDSYNTH_H)
    message (FATAL_ERROR "fluidsynth library not found")
endif (FLUIDSYNTH_LIBRARY AND HAVE_FLUIDSYNTH_H)

add_subdirectory (src)

configure_file (qsynth.spec.in qsynth.spec IMMEDIATE @ONLY)

# Configuration status

macro (SHOW_OPTION text value)
    if (${value})
        message( "${text}: Yes" )
    else (${value})
        message( "${text}: No" )
    endif (${value})
endmacro (SHOW_OPTION)

message ( "\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}\n" )
message ( "  Build target . . . . . . . . . . . . . . . . . . .: ${CMAKE_BUILD_TYPE}" )
show_option ( "\n  FluidSynth library support . . . . . . . . . . . ." FLUIDSYNTH_LIBRARY )
show_option ( "  FluidSynth server support  . . . . . . . . . . . ." CONFIG_FLUID_SERVER )
show_option ( "  FluidSynth reset support . . . . . . . . . . . . ." CONFIG_FLUID_RESET )
show_option ( "  FluidSynth bank offset support . . . . . . . . . ." CONFIG_FLUID_BANK_OFFSET )
show_option ( "  FluidSynth channel info support  . . . . . . . . ." CONFIG_FLUID_CHANNEL_INFO )
show_option ( "  FluidSynth unset program support . . . . . . . . ." CONFIG_FLUID_UNSET_PROGRAM )
show_option ( "\n  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY )
show_option ( "  Gradient eye-candy . . . . . . . . . . . . . . . ." CONFIG_GRADIENT )
show_option ( "  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE )
message ( "\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}" )
message ( "\nNow type 'make', followed by 'make install' as root." )

=== src/CMakeLists.txt ===
include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${QT_INCLUDES}
    ${FLUIDSYNTH_INCLUDEDIR}
)

link_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_LIBRARY_DIR}
)

configure_file ( cmakeconfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h ) 

set ( ac_prefix ${CMAKE_INSTALL_PREFIX} )
configure_file ( qsynth.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop ) 

set ( HEADERS 
    qsynthKnob.h 
    qsynthMeter.h 
    qsynthSystemTray.h 
    qsynthTabBar.h 
    qsynthAboutForm.h 
    qsynthChannelsForm.h 
    qsynthMainForm.h 
    qsynthMessagesForm.h 
    qsynthOptionsForm.h 
    qsynthPresetForm.h 
    qsynthSetupForm.h 
)

set ( SOURCES 
    qsynth.cpp 
    qsynthEngine.cpp
    qsynthChannels.cpp
    qsynthKnob.cpp
    qsynthMeter.cpp
    qsynthSetup.cpp
    qsynthOptions.cpp
    qsynthSystemTray.cpp
    qsynthTabBar.cpp
    qsynthAboutForm.cpp
    qsynthChannelsForm.cpp
    qsynthMainForm.cpp
    qsynthMessagesForm.cpp
    qsynthOptionsForm.cpp
    qsynthPresetForm.cpp
    qsynthSetupForm.cpp
    qsynthDialClassicStyle.cpp
    qsynthDialPeppinoStyle.cpp
    qsynthDialVokiStyle.cpp
    qsynthDialSkulptureStyle.cpp
)

set ( FORMS 
    qsynthAboutForm.ui
    qsynthChannelsForm.ui
    qsynthMainForm.ui
    qsynthMessagesForm.ui
    qsynthOptionsForm.ui
    qsynthPresetForm.ui
    qsynthSetupForm.ui
)

set ( RESOURCES 
    qsynth.qrc
)

qt4_wrap_ui ( UI_SOURCES ${FORMS} )
qt4_wrap_cpp ( MOC_SOURCES ${HEADERS} )
qt4_add_resources ( QRC_SOURCES ${RESOURCES} )

if (WIN32)
    set ( RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/qsynth.rc )
    set ( RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/qsynth.res.obj )
    find_program ( WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
    if (MINGW)
        exec_program( ${WINDRES_EXECUTABLE}
            ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
        list (APPEND SOURCES ${RES_FILE} )
    else (MINGW)
        list (APPEND SOURCES ${RC_FILE} )
    endif (MINGW)
endif (WIN32)

add_executable ( qsynth
    ${UI_SOURCES}
    ${MOC_SOURCES}
    ${QRC_SOURCES}
    ${SOURCES} 
)

if (WIN32)
    set_target_properties ( qsynth PROPERTIES WIN32_EXECUTABLE true )
endif (WIN32)

if (APPLE)
    set_target_properties ( qsynth PROPERTIES MACOSX_BUNDLE true )
endif (APPLE)

target_link_libraries ( qsynth
    ${QT_LIBRARIES}
    ${MATH_LIBRARY}
    ${FLUIDSYNTH_LIBRARY}
)

set ( TRANSLATIONS 
   translations/qsynth_cs.ts
   translations/qsynth_de.ts
   translations/qsynth_es.ts
   translations/qsynth_ru.ts
)

qt4_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

if (UNIX AND NOT APPLE)
    install ( TARGETS qsynth
              RUNTIME DESTINATION bin )
    install ( FILES ${QM_FILES}
              DESTINATION share/locale )
    install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop
              DESTINATION share/applications ) 
    install ( FILES images/qsynth.png
              DESTINATION share/pixmaps )
endif (UNIX AND NOT APPLE)

if (WIN32)
    install ( TARGETS qsynth
              RUNTIME DESTINATION . )
    install ( FILES ${QM_FILES}
              DESTINATION share/locale )
endif (WIN32)

=== debian/changelog ===
qsynth (0.3.5-1) unstable; urgency=low

  * New Upstream release.
  * Fix FTBFS with binutils-gold (Closes: #556306), add binutils-gold.patch.
  * Fix soundfont selection (Closes: #567565)
    - Add fluid-soundfont-gm as Recommend.
    - Add sounfont_dir_default.patch, let soundfont selection start in
      /usr/share/sound/sf2/.
  * Refresh desktop_categories.patch.

 -- Xavier Oswald <xoswald@debian.org>  Thu, 22 Apr 2010 11:33:06 +0200

qsynth (0.3.4-3) unstable; urgency=low

  * New maintainer is me (Closes: #503527)
  * Bump Standards-Version to 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Wed, 03 Feb 2010 09:40:50 +0100

qsynth (0.3.4-2) unstable; urgency=low

  * QA upload.
  * The watch file do no longer get warnings from uscan (Closes: #449808).
  * Update 01_desktop_categories.dpatch, add missing AudioVideo
    category (Closes: #566730).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 28 Jan 2010 23:04:02 +0100

qsynth (0.3.4-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Update desktop categories patch.
  * New upstream release. (Closes: #479446)
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 22 Aug 2009 21:34:10 -0400

qsynth (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Repackaging
  * Fix .desktop file categories according to
    http://standards.freedesktop.org/menu-spec/1.0/apa.html
  * Add a manpage

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Fri, 06 Jun 2008 12:59:01 +0300

qsynth (0.2.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix desktop file name (Closes: #415327).

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  4 May 2008 23:30:26 +0200

qsynth (0.2.5-2.1) unstable; urgency=low

  [ Sandro Tosi ]
  * Non-maintainer upload.
  * debian/rules
    - call upstream makefile clean target (Closes: #424295)

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 05 Apr 2008 13:25:58 +0200

qsynth (0.2.5-2) unstable; urgency=low

  * Install xpm qsynth icon, no .png in /usr/share/pixmaps/ (closes: #400222)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 27 Nov 2006 20:45:26 +0100

qsynth (0.2.5-1) unstable; urgency=low

  * New upstream release (closes: #383861)
  * Add .desktop file (closes: #370014)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun,  8 Oct 2006 18:02:36 +0200

qsynth (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 17 Nov 2005 04:20:56 +0100

qsynth (0.2.3-2) unstable; urgency=low

  * Rebuild to trigger new dependency on libqt3-mt, replacing libqt3c102-mt 
  * (closes: #328016)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 12 Sep 2005 12:54:02 +0200

qsynth (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  7 Jun 2005 01:33:44 +0200

qsynth (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Reference the xpm icon from /usr/share/pixmaps in menu entry

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 13 Mar 2005 20:52:08 +0100

qsynth (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Added a menu entry (closes: #260778)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sat, 29 May 2004 01:48:05 +0200

qsynth (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 31 Dec 2003 00:18:25 +0100

qsynth (0.0.3-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 17 Dec 2003 14:35:34 +0100

qsynth (0.0.2-1) unstable; urgency=low

  * Initial Release. (closes: #222946)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri,  5 Dec 2003 02:42:05 +0100

=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Xavier Oswald <xoswald@debian.org>
Build-Depends: debhelper (>= 7), libqt4-dev, libfluidsynth-dev
Standards-Version: 3.8.4
Homepage: http://qsynth.sourceforge.net

Package: qsynth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qjackctl, fluid-soundfont-gm
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt 4
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package = qsynth

clean: 
	dh_testdir
	dh_clean
	rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile qsynth.spec config.log
	rm -f src/qsynth.desktop src/config.h src/src.pri

install: build
	dh_clean
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) install
	install -m644 debian/qsynth.xpm \
	              $(CURDIR)/debian/qsynth/usr/share/pixmaps

build: build-stamp
build-stamp: 
	./configure --prefix=/usr
	$(MAKE)
	touch build

binary-indep: install

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a debian/qsynth.1
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep clean checkroot

## qsynth 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION_MAJOR 0)
-set (VERSION_MINOR 3)
-set (VERSION_PATCH 5)
-set (VERSION_SUFFIX "")
-set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}")
+set (VERSION "0.3.6")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -28,7 +24,7 @@
 option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)
 
 # Check for Qt
-set (QT_MIN_VERSION "4.1.0")
+set (QT_MIN_VERSION "4.2.0")
 find_package (Qt4 REQUIRED)
 include (${QT_USE_FILE})
 
@@ -38,17 +34,21 @@
 include (CheckLibraryExists)
 
 # Checks for libraries.
-find_library ( MATH_LIBRARY m )
-# Check for round math function.
-if (MATH_LIBRARY)
-    set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
-    check_function_exists ( lroundf CONFIG_ROUND )
-else (MATH_LIBRARY)
-    message (FATAL_ERROR "math library not found")    
-endif (MATH_LIBRARY)
+if (WIN32)
+  check_function_exists ( lroundf CONFIG_ROUND )
+else (WIN32)
+  find_library ( MATH_LIBRARY m )
+  # Check for round math function.
+  if (MATH_LIBRARY)
+      set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
+      check_function_exists ( lroundf CONFIG_ROUND )
+  else (MATH_LIBRARY)
+      message (FATAL_ERROR "math library not found")
+  endif (MATH_LIBRARY)
+endif (WIN32)
 
 # Check for fluidsynth library.
-find_library ( FLUIDSYNTH_LIBRARY fluidsynth ) 
+find_library ( FLUIDSYNTH_LIBRARY fluidsynth )
 
 # Checks for header files.
 check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,27 +10,27 @@
     ${QT_LIBRARY_DIR}
 )
 
-configure_file ( cmakeconfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h ) 
+configure_file ( cmakeconfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
 set ( ac_prefix ${CMAKE_INSTALL_PREFIX} )
-configure_file ( qsynth.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop ) 
+configure_file ( qsynth.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop )
 
-set ( HEADERS 
-    qsynthKnob.h 
-    qsynthMeter.h 
-    qsynthSystemTray.h 
-    qsynthTabBar.h 
-    qsynthAboutForm.h 
-    qsynthChannelsForm.h 
-    qsynthMainForm.h 
-    qsynthMessagesForm.h 
-    qsynthOptionsForm.h 
-    qsynthPresetForm.h 
-    qsynthSetupForm.h 
+set ( HEADERS
+    qsynthKnob.h
+    qsynthMeter.h
+    qsynthSystemTray.h
+    qsynthTabBar.h
+    qsynthAboutForm.h
+    qsynthChannelsForm.h
+    qsynthMainForm.h
+    qsynthMessagesForm.h
+    qsynthOptionsForm.h
+    qsynthPresetForm.h
+    qsynthSetupForm.h
 )
 
-set ( SOURCES 
-    qsynth.cpp 
+set ( SOURCES
+    qsynth.cpp
     qsynthEngine.cpp
     qsynthChannels.cpp
     qsynthKnob.cpp
@@ -52,7 +52,7 @@
     qsynthDialSkulptureStyle.cpp
 )
 
-set ( FORMS 
+set ( FORMS
     qsynthAboutForm.ui
     qsynthChannelsForm.ui
     qsynthMainForm.ui
@@ -62,7 +62,7 @@
     qsynthSetupForm.ui
 )
 
-set ( RESOURCES 
+set ( RESOURCES
     qsynth.qrc
 )
 
@@ -83,11 +83,19 @@
     endif (MINGW)
 endif (WIN32)
 
+if (APPLE)
+    set ( ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/qsynth.icns )
+    list ( APPEND SOURCES ${ICON_FILE} )
+    set ( MACOSX_BUNDLE_ICON_FILE qsynth.icns )
+    set_source_files_properties ( ${ICON_FILE} PROPERTIES
+        MACOSX_PACKAGE_LOCATION Resources )
+endif (APPLE)
+
 add_executable ( qsynth
     ${UI_SOURCES}
     ${MOC_SOURCES}
     ${QRC_SOURCES}
-    ${SOURCES} 
+    ${SOURCES}
 )
 
 if (WIN32)
@@ -104,7 +112,7 @@
     ${FLUIDSYNTH_LIBRARY}
 )
 
-set ( TRANSLATIONS 
+set ( TRANSLATIONS
    translations/qsynth_cs.ts
    translations/qsynth_de.ts
    translations/qsynth_es.ts
@@ -120,7 +128,7 @@
     install ( FILES ${QM_FILES}
               DESTINATION share/locale )
     install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop
-              DESTINATION share/applications ) 
+              DESTINATION share/applications )
     install ( FILES images/qsynth.png
               DESTINATION share/pixmaps )
 endif (UNIX AND NOT APPLE)

=== debian/changelog ===
qsynth (0.3.6-2ubuntu1) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 09 Apr 2013 22:57:20 -0400

qsynth (0.3.6-2) unstable; urgency=low

  * debian/control: Build-depend on libx11-dev (Closes: #639058).
  * debian/copyright: Apply DEP-5 format.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Aug 2011 11:33:38 +0200

qsynth (0.3.6-1) unstable; urgency=low

  * New maintainer (Closes: #632994).
  * New upstream release (Closes: #627047).
  * Switch to DH7 short-form.
  * Remove patches adopted by upstream, refresh other patches.
  * Update copyright holders.
  * Remove qjackctl from Recommends, add jackd on Suggests.
  * Buildsystem now is cmake.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 11:58:41 +0200

=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: cmake,
 debhelper (>= 7.0.50~),
 libfluidsynth-dev,
 libqt4-dev,
 libx11-dev
Standards-Version: 3.9.2
Homepage: http://qsynth.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qsynth.git

Package: qsynth
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: fluid-soundfont-gm
Suggests: jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt 4
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.

## qsynth 0.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.3.6")
+set (VERSION "0.3.7")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")

=== debian/changelog ===
qsynth (0.3.7-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Fix FTBFS due to missing ld flag. (Closes: #713488)
  * Update debian/copyright to meet copyright format 1.0
  * Set VCS to meet the canonical form.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Oct 2013 18:35:32 +0100

=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 7.0.50~),
 libfluidsynth-dev,
 libqt4-dev,
 libx11-dev
Standards-Version: 3.9.4
Homepage: http://qsynth.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git

Package: qsynth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fluid-soundfont-gm
Suggests:
 jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt 4
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.

## qsynth 0.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.3.7")
+set (VERSION "0.3.8")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -24,7 +24,7 @@
 option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)
 
 # Check for Qt
-set (QT_MIN_VERSION "4.2.0")
+set (QT_MIN_VERSION "4.4.0")
 find_package (Qt4 REQUIRED)
 include (${QT_USE_FILE})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -116,6 +116,7 @@
    translations/qsynth_cs.ts
    translations/qsynth_de.ts
    translations/qsynth_es.ts
+   translations/qsynth_fr.ts
    translations/qsynth_ru.ts
 )

=== debian/changelog ===
qsynth (0.3.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Set compat/dh 9.
  * Added Keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Jan 2014 13:35:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libfluidsynth-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=cmake --parallel

=== debian/watch ===
version=3
http://sf.net/qsynth/qsynth-([\d.]+)\.tar\.gz

## qsynth 0.3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.3.8")
+set (VERSION "0.3.9")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")

=== debian/changelog ===
qsynth (0.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 27 Mar 2015 11:56:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfluidsynth-dev,
  libqt4-dev,
  libx11-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git

## qsynth 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.3.9")
+set (VERSION "0.4.0")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -24,8 +24,8 @@
 option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)
 
 # Check for Qt
-set (QT_MIN_VERSION "4.4.0")
-find_package (Qt4 REQUIRED)
+set (QT_MIN_VERSION "5.1.0")
+find_package (Qt5 REQUIRED)
 include (${QT_USE_FILE})
 
 include (CheckIncludeFile)

=== debian/changelog ===
qsynth (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 07 Sep 2015 21:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,12 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
+# qt5-default,
+ libqt5x11extras5-dev,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libfluidsynth-dev,
- libqt4-dev,
  libx11-dev
 Standards-Version: 3.9.6
 Homepage: http://qsynth.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=qt5

%:
	dh $@ --parallel

## qsynth 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.4.0")
+set (VERSION "0.4.1")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")
@@ -25,8 +25,8 @@
 
 # Check for Qt
 set (QT_MIN_VERSION "5.1.0")
-find_package (Qt5 REQUIRED)
-include (${QT_USE_FILE})
+find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets)
+find_package(Qt5LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)

=== debian/changelog ===
qsynth (0.4.1-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831092).
  * Build with dh-autoreconf.
  * Tune .gitignore file.
  * Add description to patch.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 23:30:13 +0200

qsynth (0.4.1-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1
  * Bump Standards.
  * Fix VCS fields.
  * Tidy up build-deps.
  * Refresh patch.
  * Remove menu file.
  * Remove patch - fixed upstream.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 12:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
 Build-Depends:
  cmake,
  debhelper (>= 9),
-# qt5-default,
+ dh-autoreconf,
+ qtbase5-dev,
+ qttools5-dev-tools,
  libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://qsynth.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsynth.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qsynth.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git
 
 Package: qsynth
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt5

%:
	dh $@ --parallel --with autoreconf

## qsynth 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.4.1")
+set (VERSION "0.4.2")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,9 +66,9 @@
     qsynth.qrc
 )
 
-qt4_wrap_ui ( UI_SOURCES ${FORMS} )
-qt4_wrap_cpp ( MOC_SOURCES ${HEADERS} )
-qt4_add_resources ( QRC_SOURCES ${RESOURCES} )
+qt5_wrap_ui ( UI_SOURCES ${FORMS} )
+qt5_wrap_cpp ( MOC_SOURCES ${HEADERS} )
+qt5_add_resources ( QRC_SOURCES ${RESOURCES} )
 
 if (WIN32)
     set ( RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/qsynth.rc )
@@ -111,6 +111,7 @@
     ${MATH_LIBRARY}
     ${FLUIDSYNTH_LIBRARY}
 )
+qt5_use_modules (qsynth Core Gui Widgets)
 
 set ( TRANSLATIONS
    translations/qsynth_cs.ts
@@ -120,7 +121,7 @@
    translations/qsynth_ru.ts
 )
 
-qt4_add_translation ( QM_FILES ${TRANSLATIONS} )
+qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
 add_custom_target( translations ALL DEPENDS ${QM_FILES} )
 
 if (UNIX AND NOT APPLE)

=== debian/changelog ===
qsynth (0.4.3-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #844993)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 16:58:59 +0100

qsynth (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Patch refreshed.
  * Add pkg-config as B-D.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Nov 2016 22:04:26 +0100

qsynth (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patch applied upstream.
  * Enable dbgsym package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 16:32:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
+ pkg-config,
  dh-autoreconf,
  qtbase5-dev,
  qttools5-dev-tools,

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-debug

## qsynth 0.4.4

=== CMakeLists.txt ===
project(QSYNTH)

cmake_minimum_required(VERSION 2.6)

set (VERSION "0.4.4")

set (PACKAGE_NAME "Qsynth")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qsynth")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

set (CONFIG_DEBUG)
if (CMAKE_BUILD_TYPE MATCHES "debug")
    set(CONFIG_DEBUG 1)
endif ()
set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

# X11 unique/single instance.# gradient eye-candy.
option (CONFIG_XUNIQUE "Define if X11 unique/single instance is enabled." 1)
# gradient eye-candy.
option (CONFIG_GRADIENT "Define if gradient eye-candy is enabled." 1)
# debugging stack-trace.
option (CONFIG_STACKTRACE "Define if debugger stack-trace is enabled." 0)
# system-tray icon.
option (CONFIG_SYSTEM_TRAY "Define if system tray is enabled." 1)

# Check for Qt
set (QT_MIN_VERSION "5.1.0")
find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Gui Widgets X11Extras)
find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
if (WIN32)
  check_function_exists ( lroundf CONFIG_ROUND )
else ()
  find_library ( MATH_LIBRARY m )
  # Check for round math function.
  if (MATH_LIBRARY)
      set ( CMAKE_REQUIRED_LIBRARIES ${MATH_LIBRARY} )
      check_function_exists ( lroundf CONFIG_ROUND )
  else ()
      message (FATAL_ERROR "math library not found")
  endif ()
endif ()

if (CONFIG_XUNIQUE)
  find_library ( X11_LIBRARY X11 )
endif ()

# Check for fluidsynth library.
find_library ( FLUIDSYNTH_LIBRARY fluidsynth )

# Checks for header files.
check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)

# Check for fluidsynth headers.
find_path (FLUIDSYNTH_INCLUDEDIR NAMES fluidsynth.h)
set (CMAKE_REQUIRED_INCLUDES ${FLUIDSYNTH_INCLUDEDIR})
check_include_file ("fluidsynth.h" HAVE_FLUIDSYNTH_H)

if (FLUIDSYNTH_LIBRARY AND HAVE_FLUIDSYNTH_H)
    set(CMAKE_REQUIRED_LIBRARIES ${FLUIDSYNTH_LIBRARY})
    # new_fluid_server function.
    check_function_exists ( new_fluid_server CONFIG_FLUID_SERVER )
    # Check for fluid_synth_system_reset function.
    check_function_exists ( fluid_synth_system_reset CONFIG_FLUID_RESET )
    # Check for fluid_synth_set_bank_offset function.
    check_function_exists ( fluid_synth_set_bank_offset CONFIG_FLUID_BANK_OFFSET )
    # Check for fluid_synth_get_channel_info function.
    check_function_exists ( fluid_synth_get_channel_info CONFIG_FLUID_CHANNEL_INFO )
    # Check for fluid_synth_unset_program function.
    check_function_exists ( fluid_synth_unset_program CONFIG_FLUID_UNSET_PROGRAM )
    # Check for fluid_version_str function.
    check_function_exists ( fluid_version_str CONFIG_FLUID_VERSION_STR )
else ()
    message (FATAL_ERROR "fluidsynth library not found")
endif ()

add_subdirectory (src)

configure_file (qsynth.spec.in qsynth.spec IMMEDIATE @ONLY)

# Configuration status
macro (SHOW_OPTION text value)
    if (${value})
        message( "${text}: yes" )
    else ()
        message( "${text}: no" )
    endif ()
endmacro ()

message ( "\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}" )
message ( "\n  Build target . . . . . . . . . . . . . . . . . . .: ${CMAKE_BUILD_TYPE}" )
show_option ( "\n  FluidSynth library support . . . . . . . . . . . ." FLUIDSYNTH_LIBRARY )
show_option ( "  FluidSynth server support  . . . . . . . . . . . ." CONFIG_FLUID_SERVER )
show_option ( "  FluidSynth reset support . . . . . . . . . . . . ." CONFIG_FLUID_RESET )
show_option ( "  FluidSynth bank offset support . . . . . . . . . ." CONFIG_FLUID_BANK_OFFSET )
show_option ( "  FluidSynth channel info support  . . . . . . . . ." CONFIG_FLUID_CHANNEL_INFO )
show_option ( "  FluidSynth unset program support . . . . . . . . ." CONFIG_FLUID_UNSET_PROGRAM )
show_option ( "  FluidSynth version string support  . . . . . . . ." CONFIG_FLUID_VERSION_STR )
show_option ( "  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY )
show_option ( "\n  X11 Unique/Single instance . . . . . . . . . . . ." CONFIG_XUNIQUE )
show_option ( "  Gradient eye-candy . . . . . . . . . . . . . . . ." CONFIG_GRADIENT )
show_option ( "  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE )
message ( "\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}" )
message ( "\nNow type 'make', followed by 'make install' as root.\n" )

=== debian/changelog ===
qsynth (0.4.4-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.4.4
  * Patches applied upstream - removed.
  * Bump Standards.
  * Remove dh_autoreconf.
  * Update copyright file.
  * Sign tags.
  * Avoid useless linking.
  * Add override file.
  * Install upstream man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Jun 2017 08:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
  cmake,
  debhelper (>= 10),
  pkg-config,
- dh-autoreconf,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://qsynth.sourceforge.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git

## qsynth 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION "0.4.4")
+set (VERSION "0.5.0")
 
 set (PACKAGE_NAME "Qsynth")
 set (PACKAGE_VERSION "${VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -78,10 +78,10 @@
         exec_program( ${WINDRES_EXECUTABLE}
             ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
         list (APPEND SOURCES ${RES_FILE} )
-    else (MINGW)
+    else ()
         list (APPEND SOURCES ${RC_FILE} )
-    endif (MINGW)
-endif (WIN32)
+    endif ()
+endif ()
 
 if (APPLE)
     set ( ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/qsynth.icns )
@@ -89,7 +89,7 @@
     set ( MACOSX_BUNDLE_ICON_FILE qsynth.icns )
     set_source_files_properties ( ${ICON_FILE} PROPERTIES
         MACOSX_PACKAGE_LOCATION Resources )
-endif (APPLE)
+endif ()
 
 add_executable ( qsynth
     ${UI_SOURCES}
@@ -100,18 +100,19 @@
 
 if (WIN32)
     set_target_properties ( qsynth PROPERTIES WIN32_EXECUTABLE true )
-endif (WIN32)
+endif ()
 
 if (APPLE)
     set_target_properties ( qsynth PROPERTIES MACOSX_BUNDLE true )
-endif (APPLE)
+endif ()
 
 target_link_libraries ( qsynth
     ${QT_LIBRARIES}
     ${MATH_LIBRARY}
     ${FLUIDSYNTH_LIBRARY}
+    ${X11_LIBRARY}
 )
-qt5_use_modules (qsynth Core Gui Widgets)
+qt5_use_modules (qsynth Core Gui Widgets X11Extras)
 
 set ( TRANSLATIONS
    translations/qsynth_cs.ts
@@ -119,6 +120,7 @@
    translations/qsynth_es.ts
    translations/qsynth_fr.ts
    translations/qsynth_ru.ts
+   translations/qsynth_sr.ts
 )
 
 qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
@@ -128,16 +130,17 @@
     install ( TARGETS qsynth
               RUNTIME DESTINATION bin )
     install ( FILES ${QM_FILES}
-              DESTINATION share/locale )
+              DESTINATION share/qsynth/translations )
     install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/qsynth.desktop
               DESTINATION share/applications )
     install ( FILES images/qsynth.png
               DESTINATION share/pixmaps )
-endif (UNIX AND NOT APPLE)
+endif ()
 
 if (WIN32)
     install ( TARGETS qsynth
               RUNTIME DESTINATION . )
     install ( FILES ${QM_FILES}
-              DESTINATION share/locale )
-endif (WIN32)
+              DESTINATION share/qsynth/translations )
+endif ()
+

=== debian/changelog ===
qsynth (0.5.0-2) unstable; urgency=medium

  * Add patch to fix FTCBFS. (Closes: #886543)
  * Set dh/compat 11.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 07 Jan 2018 16:11:58 +0100

qsynth (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patch refreshed.
  * Delete unneeded files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 17:02:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11~),
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libfluidsynth-dev,
  libx11-dev
-Standards-Version: 4.0.0
-Homepage: http://qsynth.sourceforge.net
+Standards-Version: 4.1.3
+Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsynth.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qsynth.git
 
 Package: qsynth
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug
